News

  News


DBHcms 1.2.0 released


The DBHcms has been working faithfully for almost a decade now, and its time for some security updates, technical maintenance and a few new features. With this release we have addressed several security concerns, created a new extension for users to register, added support for UTF-8 and added some new functionalities.

New in this version

  • Important security fixes 
  • Support for UTF-8 that enables the combination of languages with different charsets 
  • New extension "register" that adds functionality for users to register 
  • Possibility to enable and/or disable captchas for all user entries (comments, contact, etc.) 
  • Possibility to configure an SMTP-Server to send e-mails 
  • All third party apps have been removed form DBHcms, this includes the removal of phpMyAdmin as well as QuiXplorer.

Important notes

  • Important security measures have been implemented, which include optional captchas for input forms in all existing extensions. When upgrading, make sure that if you use any of the extensions, that you also update the corresponding templates with the modified blocks and place-holders as described in the intall.txt file.
  • The automatic translation in the dictionary now requires the "stichoza/google-translate-php" package which requires PHP 5.5.0 or higher. If you would like to enable the automatic translation, you will need to add the package to the DBHcms installation as indicated in the intall.txt file.

Installation Builds

With this release we deliver two different installation builds, each one as a compressed zip-file or as an auto extractable executable file:

  • dbhcms-v1.2.0: Standard release without automatic translation for the dictionary. Requires PHP 5.2.0 or higher. 
  • dbhcms-v1.2.0-trans: Extended release that includes the automatic translation for the dictionary. Requires PHP 5.5.0 or higher.

Update Builds

With this release we deliver two different update builds, each one as a compressed zip-file or as an auto extractable executable file:

  • dbhcms-v1.2.0-update: Standard release without automatic translation for the dictionary. Requires PHP 5.2.0 or higher. 
  • dbhcms-v1.2.0-trans-update: Extended release that includes the automatic translation for the dictionary. Requires PHP 5.5.0 or higher.

Downloads

The DBHcms is available for free at http://www.drbenhur.com/downloads-1-5-en.html 

To update the DBHcms from 1.1.4, please read the installation notes or take a look at http://www.drbenhur.com/dbhcms-update-1-66-en.html


  Subscribe Newsletter
Name: Email:

Last update: 24.06.2016 19:00:56